#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = require("path");
var fs = __importStar(require("fs"));
var getProjectRoot_1 = require("./tools/getProjectRoot");
var projectDirPath = process.cwd();
var publicDirPath = (0, path_1.join)(projectDirPath, "public");
if (!fs.existsSync(publicDirPath)) {
    var reactDsfrRepoUrl = JSON.parse(fs.readFileSync((0, path_1.join)((0, getProjectRoot_1.getProjectRoot)(), "package.json")).toString("utf8"))["repository"]["url"].replace(/^git/, "https:")
        .replace(/\.git$/, "");
    console.error([
        "There is no public/ directory in the current working directory, we don't know your framework",
        "you are not calling this script at the right location or we don't know your React framework",
        "please submit an issue about it here ".concat(reactDsfrRepoUrl, "/issues")
    ].join(" "));
    process.exit(-1);
}
var dsfrDirPath = (0, path_1.join)(publicDirPath, "dsfr");
if (fs.existsSync(dsfrDirPath)) {
    fs.rmSync(dsfrDirPath, { "recursive": true, "force": true });
}
fs.cpSync((0, path_1.join)(projectDirPath, "node_modules", "@gouvfr", "dsfr", "dist"), dsfrDirPath, {
    "recursive": true
});
//# sourceMappingURL=copy_dsfr_dist_to_public.js.map