import type { NextComponentType } from "next";
import type { Params as startDsfrReactParams } from "./start";
import type { DocumentContext } from "next/document";
import type { ColorScheme } from "./colorScheme";
declare const fontUrlByFileBasename: {
    readonly "Marianne-Light": string;
    readonly "Marianne-Light_Italic": string;
    readonly "Marianne-Regular": string;
    readonly "Marianne-Regular_Italic": string;
    readonly "Marianne-Medium": string;
    readonly "Marianne-Medium_Italic": string;
    readonly "Marianne-Bold": string;
    readonly "Marianne-Bold_Italic": string;
    readonly "Spectral-Regular": string;
    readonly "Spectral-ExtraBold": string;
};
export declare type Params = startDsfrReactParams & {
    /** If not provided no fonts are preloaded.
     * Preloading of fonts is only enabled in production.
     */
    preloadFonts?: (keyof typeof fontUrlByFileBasename)[];
};
export declare function getColorSchemeSsrUtils(): {
    readColorSchemeFromCookie: (ctx: DocumentContext) => void;
    getColorSchemeHtmlAttributes: () => {
        "data-fr-scheme"?: undefined;
        "data-fr-theme"?: undefined;
    } | {
        "data-fr-scheme": ColorScheme;
        "data-fr-theme": ColorScheme;
    };
};
export declare function withAppDsfr<AppComponent extends NextComponentType<any, any, any>>(App: AppComponent, params: Params): AppComponent;
export {};
