export declare type StatefulObservable<T> = {
    current: T;
    subscribe: (next: (data: T) => void) => Subscription;
};
export declare type Subscription = {
    unsubscribe(): void;
};
export declare function createStatefulObservable<T>(getInitialValue: () => T): StatefulObservable<T>;
